View Issue Details

IDProjectCategoryView StatusLast Update
0000795SymmetricDSBugpublic2014-02-02 20:52
ReportertregnagoAssigned Tochenson 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version3.1.3 
Target Version3.1.4Fixed in Version3.1.4 
Summary0000795: ip_address field is not long enough to contain ipv6 addresses
Descriptionsym_registration_request.ip_address field size is 21. Using a long format ipv6 address ( such as fe80:0:0:0:0:100:7f:fffe%12 ) generates a query exception in RegistrationService.saveRegisgtrationRequest
TagsNo tags attached.

Activities

chenson

2012-08-30 11:01

administrator   ~0000073

Not sure how that happened. ip_address was varchar(50) in sym_node_host. Sorry about that.

Related Changesets

SymmetricDS: master 0b979be2

2012-08-30 10:59:26

chenson

Details Diff
0000795: ip_address field is not long enough to contain ipv6 addresses
0000795
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

Issue History

Date Modified Username Field Change
2012-08-30 10:49 tregnago New Issue
2012-08-30 10:58 chenson Assigned To => chenson
2012-08-30 10:58 chenson Status new => assigned
2012-08-30 11:00 chenson Status assigned => resolved
2012-08-30 11:00 chenson Fixed in Version => 3.1.4
2012-08-30 11:00 chenson Resolution open => fixed
2012-08-30 11:00 chenson Product Version => 3.1.3
2012-08-30 11:00 chenson Target Version => 3.1.4
2012-08-30 11:01 chenson Note Added: 0000073
2012-09-07 19:53 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6234
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 0b979be2